Subject: Re: bug#18582: 24.4.50; [python.el] completion error

From: Stefan Monnier <[email-masked]>
Date: Tue, 30 Sep 2014 20:45:29 -0400

> When I try to complete something in a python-buffer I get an error
> with the below backtrace.  I couldn't find other reports on this
> issue, but maybe I overlooked something?

Could you try it with the code from the `emacs-24' branch instead?
I tried your recipe and got a backtrace, but a different one.  I think
I fixed it.

>    write im 
>    press M-Tab, should expand to import

This now works for me now in `emacs-24'.

> Here's another backtrace.  To get it I do
>        import num
>        Press M-Tab, should expand to numpy

In the new code in emacs-24, I don't get a backtrace for this one, but
I also don't get any completion.  Fabián?

        Stefan